Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001384I6 LibraryGeneralpublic2014-08-07 15:442015-05-10 17:46
ReporterDavidG 
Assigned ToDavidG 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6/12 
Target Version6/12Fixed in Version6/12 
Summary0001384: no_implicit_actions doesn't entirely prevent implicit takes
DescriptionIf no_implicit_actions is active and the player tries to do an action that works only on held items, the action is improperly allowed to continue. For instance, attempt to eat a key that's not held will result in "The key is plainly inendible.".
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003037)
DavidG (developer)
2014-08-08 01:09

Fixed in https://github.com/DavidGriffith/inform6lib/commit/04f34624026e558b14de19f714db1eaad71f579a [^]
(0003534)
jmcgrew (administrator)
2015-05-10 17:46

Closing all resolved issues from 2014 and earlier.

- Issue History
Date Modified Username Field Change
2014-08-07 15:44 DavidG New Issue
2014-08-07 15:44 DavidG Status new => assigned
2014-08-07 15:44 DavidG Assigned To => DavidG
2014-08-07 15:52 DavidG Summary no_implicit_actions interferes with Eat => no_implicit_actions doesn't entirely prevent implicit takes
2014-08-07 15:52 DavidG Description Updated View Revisions
2014-08-07 15:55 DavidG Description Updated View Revisions
2014-08-08 01:09 DavidG Note Added: 0003037
2014-08-08 01:09 DavidG Status assigned => resolved
2014-08-08 01:09 DavidG Fixed in Version => 6/12
2014-08-08 01:09 DavidG Resolution open => fixed
2015-05-10 17:46 jmcgrew Note Added: 0003534
2015-05-10 17:46 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker